Bug 1321789 (CVE-2016-3674) - CVE-2016-3674 XStream: enabled processing of external entities
Summary: CVE-2016-3674 XStream: enabled processing of external entities
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-3674
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160315,repor...
Depends On: 1322177 1321791 1321792 1322169 1322170 1322171 1322172 1322173 1322174 1322175 1335765
Blocks: 1321793 1385169 1391689
TreeView+ depends on / blocked
 
Reported: 2016-03-29 07:29 UTC by Andrej Nemec
Modified: 2019-06-11 11:13 UTC (History)
57 users (show)

Fixed In Version: XStream 1.4.9
Doc Type: Bug Fix
Doc Text:
It was found that several XML parsers used by XStream had default settings that would expand entity references. A remote, unauthenticated attacker could use this flaw to read files accessible to the user running the application server, and potentially perform other more advanced XXE attacks.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:50:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2822 normal SHIPPED_LIVE Moderate: Red Hat JBoss BPM Suite security update 2016-11-28 22:55:25 UTC
Red Hat Product Errata RHSA-2016:2823 normal SHIPPED_LIVE Moderate: Red Hat JBoss BRMS security update 2016-11-28 22:55:19 UTC

Description Andrej Nemec 2016-03-29 07:29:18 UTC
XStream (x-stream.github.io) is a Java library to marshal Java objects into 
XML and back. For this purpose it supports a lot of different XML parsers. 
Some of those can also process external entities which was enabled by 
default.

An attacker could therefore provide manipulated XML as input to access data 
on the file system, see 
https://www.owasp.org/index.php/XML_External_Entity_(XXE)_Processing

Comment 1 Andrej Nemec 2016-03-29 07:30:22 UTC
Created jenkins-xstream tracking bugs for this issue:

Affects: fedora-all [bug 1321792]

Comment 2 Andrej Nemec 2016-03-29 07:30:47 UTC
Created xstream tracking bugs for this issue:

Affects: fedora-all [bug 1321791]

Comment 6 Pavel Polischouk 2016-03-31 20:41:56 UTC
External References:

https://github.com/x-stream/xstream/issues/25

Comment 8 Fedora Update System 2016-04-04 17:24:15 UTC
xstream-1.4.9-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-04-26 20:54:24 UTC
xstream-1.4.9-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-04-26 21:21:37 UTC
xstream-1.4.9-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 errata-xmlrpc 2016-11-28 17:55:33 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.4.0

Via RHSA-2016:2823 https://rhn.redhat.com/errata/RHSA-2016-2823.html

Comment 15 errata-xmlrpc 2016-11-28 17:56:21 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BPM Suite 6.4.0

Via RHSA-2016:2822 https://rhn.redhat.com/errata/RHSA-2016-2822.html


Note You need to log in before you can comment on or make changes to this bug.